unit Main;
(*
 This sample unit is part of Table Scanner package
 Copyright 1997-2000 by Demian [demianH@bigfoot.com]
*)

{$X+}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Menus, DB, DBTables;

type
  TMainForm = class(TForm)
    MainMenu: TMainMenu;
    HelpAboutItem: TMenuItem;
    Main1: TMenuItem;
    Exit1: TMenuItem;
    CheckTables1: TMenuItem;
    Database1: TDatabase;
    PackTables1: TMenuItem;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure HelpAbout(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure CheckTables1Click(Sender: TObject);
    procedure PackTables1Click(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

uses MakeDB,Status,{$IFDEF WIN32}BDE;{$ELSE}DBIProcs,DBITypes;{$ENDIF}

{$R *.DFM}

var
  szDirectory: DBIPATH;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Database1.Connected := true;
  Check(DbiGetDirectory(Database1.Handle,false,szDirectory));
  CheckTables([false,StrPas(szDirectory),@Status.DoOnCheckTable]);
end;

procedure TMainForm.CheckTables1Click(Sender: TObject);
begin
  CheckTables([false,StrPas(szDirectory),@Status.DoOnCheckTable]);
end;

procedure TMainForm.PackTables1Click(Sender: TObject);
begin
  CheckTables([true,StrPas(szDirectory),@Status.DoOnCheckTable]);
end;

procedure TMainForm.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.HelpAbout(Sender: TObject);
begin
  MessageDlg('Table Scanner Sample Project'+#10+
             'Copyright (c) 1997-2000'+#10+
             'by Demian [demianH@bigfoot.com]',
             mtInformation,[mbOK],0);
end;

end.
